/// class PD.Manage.Modules.Tags.TagsContextMenu
// using PD.Web.UI.Controls.ContextMenuSegment

PD.Manage.Modules.Tags.TagsContextMenu =
PD.Web.UI.Controls.ContextMenuSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/tags/context-menu:tag/edit-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/tags/context-menu:tag/delete"
        }));

    },

    onOpen: function (e) {

        PD.context.get_default().get_commands().setState({
            "pd/tags/context-menu": {
                tags: this.get_context()["selections"]
            }
        });

    }

});